subscriptionId as a path parameter. This subscriptionId is obtained from the front end using Kushki.js Hosted Fields or from the Get Subscription Token service, which securely collects and tokenizes card details.Product in beta version 🔐👨💻
We are working on our beta version. Stay tuned for its official release! You can also contact your account manager for more information.
curl --location 'https://api-uat.kushkipagos.com/payouts/card/v1/subscriptions/pushFunds/?subscriptionId=undefined' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data '{
"clientTransactionId": "{{$guid}}",
"amount": {
"currency": "PEN",
"totalAmount": 0.25
},
"fullResponse": "v2",
"paymentType": "FD",
"metadata": {
"key1": "key1"
},
"recipient": {
"address": "Lima Callse S/N",
"city": "Lima",
"country": "PER",
"zipCode": "63368"
}
}'{
"details": {
"amount": {
"currency": "PEN",
"totalAmount": 250
},
"approvalCode": "21324K",
"approvedTransactionAmount": 250,
"binInfo": {
"bank": "PICHINCHA",
"bin": "495703",
"brand": "VISA",
"brandProductCode": "",
"country": "USA",
"type": "credit",
"prepaid": false
},
"clientTransactionId": "7474849895",
"created": 1740693164307,
"merchantId": "20000000100400157000",
"merchantName": "ORIZABA PAYOUTS CARD BRANCH",
"paymentBrand": "VISA",
"responseCode": "00",
"responseText": "Approved and completed successfully",
"transactionId": "951740693164307311",
"transactionReference": "c5a95370-31b4-4d47-8c36-6d187107b7da",
"transactionStatus": "APPROVAL",
"transactionType": "PAYOUT"
},
"ticketNumber": "951740693164307311",
"transactionReference": "c5a95370-31b4-4d47-8c36-6d187107b7da"
}